View Issue Details

IDProjectCategoryView StatusLast Update
0004393SymmetricDSBugpublic2020-08-20 08:13
Reporterelong Assigned Toelong  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.11.8 
Target Version3.11.9Fixed in Version3.11.9 
Summary0004393: Regression NPE in Postgres bulk loader factory
DescriptionWhen using PostgreSQL bulk loader, it gets a null pointer exception, introduced in 3.11.8

2020-05-11 14:51:54,581 ERROR [production] [ManageIncomingBatchListener] [production-dataloader-13] An error caused a batch to fail without attempting to load data for batch 520068-609 StackTraceKey.init [NullPointerException:1477929140]
java.lang.NullPointerException
     at org.jumpmind.symmetric.load.DefaultDataLoaderFactory.buildDatabaseWriterSettings(DefaultDataLoaderFactory.java:207)
     at org.jumpmind.symmetric.ext.PostgresBulkDataLoaderFactory.getDataWriter(PostgresBulkDataLoaderFactory.java:57)
     at org.jumpmind.symmetric.ext.BulkDataLoaderFactory.getDataWriter(BulkDataLoaderFactory.java:65)
     at org.jumpmind.symmetric.service.impl.DataLoaderService.buildDataWriter(DataLoaderService.java:762)
     at org.jumpmind.symmetric.service.impl.DataLoaderService$LoadIntoDatabaseOnArrivalListener$2$1.chooseDataWriter(DataLoaderService.java:1077)
     at org.jumpmind.symmetric.io.data.DataProcessor.process(DataProcessor.java:102)
     at org.jumpmind.symmetric.service.impl.DataLoaderService$LoadIntoDatabaseOnArrivalListener$2.call(DataLoaderService.java:1080)
     at org.jumpmind.symmetric.service.impl.DataLoaderService$LoadIntoDatabaseOnArrivalListener$2.call(DataLoaderService.java:1057)
     at java.util.concurrent.FutureTask.run(FutureTask.java:266)
     at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
     at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
     at java.lang.Thread.run(Thread.java:748)
Tagsbulk, dialect: postgresql

Relationships

related to 0004349 closedjosh-a-hicks Pass IAlterDatabaseInterceptors through the platform to DDLBuilders 
related to 0004505 closedelong Regression NPE in Oracle, Tibero bulk loader and Hbase, and Mongo data loader factory 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.11 2697d938

2020-05-11 12:25:34

admin

Details Diff
0004393: Regression NPE in Postgres bulk loader factory Affected Issues
0004393
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/PostgresBulkDataLoaderFactory.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/DefaultDataLoaderFactory.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File

Issue History

Date Modified Username Field Change
2020-05-11 12:24 elong New Issue
2020-05-11 12:24 elong Status new => assigned
2020-05-11 12:24 elong Assigned To => elong
2020-05-11 12:24 elong Tag Attached: bulk
2020-05-11 12:24 elong Tag Attached: dialect: postgresql
2020-05-11 12:24 elong Relationship added related to 0004349
2020-05-11 12:26 elong Status assigned => resolved
2020-05-11 12:26 elong Resolution open => fixed
2020-05-11 12:26 elong Fixed in Version => 3.11.9
2020-05-26 12:37 elong Status resolved => closed
2020-06-04 13:55 admin Changeset attached => SymmetricDS 3.11 2697d938
2020-08-20 08:13 elong Relationship added related to 0004505